Signal Summaries
List all AI-generated signal summaries for a domain, ordered by creation date (latest first)
Retrieve all summaries that have been generated for a given domain with pagination support. Returns summaries ordered by creation date (latest first).
Authorization
ApiKeyAuth API key authentication using Bearer token. Format: sk_live_ followed by a secure random string.
In: header
Query Parameters
Filter summaries by company domain (e.g., "acme.com")
^[a-zA-Z0-9]([a-zA-Z0-9\-]{0,61}[a-zA-Z0-9])?(\.[a-zA-Z0-9]([a-zA-Z0-9\-]{0,61}[a-zA-Z0-9])?)*$Maximum number of results per page
201 <= value <= 100Number of results to skip for pagination
00 <= valueResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/companies/signals/summaries?domain=acme.com&limit=20&offset=0"{ "results": [ { "id": "58f74458-7e71-4ab6-8297-55dab9c752c0", "summary": [ { "description": "Company operates in the Enterprise Software industry", "referenceQuestions": [ "What industry does this company operate in?" ], "qualification": "good", "sources": [ { "url": "https://acme.com/about", "title": "About Acme Corp", "snippet": "Leading provider of enterprise software..." } ] } ], "status": "completed", "signalsCount": 10, "createdAt": "2024-01-15T10:30:00Z", "updatedAt": "2024-01-15T10:32:00Z" }, { "id": "7e53d8a2-6a4b-4c66-aea3-40d29462e433", "summary": [ { "description": "Company operates in the Enterprise Software industry", "referenceQuestions": [ "What industry does this company operate in?" ], "qualification": "good", "sources": [ { "url": "https://acme.com/about", "title": "About Acme Corp" } ] } ], "status": "completed", "signalsCount": 9, "createdAt": "2024-01-15T09:00:00Z", "updatedAt": "2024-01-15T09:02:00Z" } ], "total": 2, "limit": 20, "offset": 0, "count": 2}{ "error": { "type": "VALIDATION", "code": "VALIDATION_ERROR", "message": "validation failed for 'departments': invalid value: Engineering Ops", "errorCode": "string", "errorAction": "string", "details": {}, "requestId": "e69ed773-2674-4dca-be61-886d6698f360", "fields": [ { "field": "domain", "message": "'domain' must be a valid hostname (e.g., 'example.com') without protocol (https://) or path" } ], "debug": { "cause": "string" } }}{ "error": { "type": "VALIDATION", "code": "VALIDATION_ERROR", "message": "validation failed for 'departments': invalid value: Engineering Ops", "errorCode": "string", "errorAction": "string", "details": {}, "requestId": "e69ed773-2674-4dca-be61-886d6698f360", "fields": [ { "field": "domain", "message": "'domain' must be a valid hostname (e.g., 'example.com') without protocol (https://) or path" } ], "debug": { "cause": "string" } }}{ "error": { "type": "VALIDATION", "code": "VALIDATION_ERROR", "message": "validation failed for 'departments': invalid value: Engineering Ops", "errorCode": "string", "errorAction": "string", "details": {}, "requestId": "e69ed773-2674-4dca-be61-886d6698f360", "fields": [ { "field": "domain", "message": "'domain' must be a valid hostname (e.g., 'example.com') without protocol (https://) or path" } ], "debug": { "cause": "string" } }}Generate an AI summary consolidating insights from all completed company signals for a domain
Generate an AI-powered summary of all completed signals for a given domain. The summary consolidates key insights from multiple signals into structured data points.
If there are no completed signals for the domain, returns 204 No Content. If a summary is already in progress for this domain, returns 409 Conflict. If there are no new signals since the last summary, returns the latest existing summary.
Authorization
ApiKeyAuth API key authentication using Bearer token. Format: sk_live_ followed by a secure random string.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
The company domain to generate a summary for (e.g., "acme.com")
^[a-zA-Z0-9]([a-zA-Z0-9\-]{0,61}[a-zA-Z0-9])?(\.[a-zA-Z0-9]([a-zA-Z0-9\-]{0,61}[a-zA-Z0-9])?)*$1 <= length <= 253Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/companies/signals/summaries" \ -H "Content-Type: application/json" \ -d '{ "domain": "acme.com" }'{ "summary": [ { "description": "Company operates in the Enterprise Software industry", "referenceQuestions": [ "What industry does this company operate in?" ], "qualification": "good", "sources": [ { "url": "https://acme.com/about", "title": "About Acme Corp", "snippet": "Leading provider of enterprise software..." } ] }, { "description": "Company uses AWS for cloud infrastructure", "referenceQuestions": [ "What cloud providers does this company use?" ], "qualification": "good", "sources": [ { "url": "https://acme.com/technology", "title": "Technology Stack", "snippet": "Built on AWS cloud infrastructure..." } ] } ]}{ "error": { "type": "VALIDATION", "code": "VALIDATION_ERROR", "message": "validation failed for 'departments': invalid value: Engineering Ops", "errorCode": "string", "errorAction": "string", "details": {}, "requestId": "e69ed773-2674-4dca-be61-886d6698f360", "fields": [ { "field": "domain", "message": "'domain' must be a valid hostname (e.g., 'example.com') without protocol (https://) or path" } ], "debug": { "cause": "string" } }}{ "error": { "type": "VALIDATION", "code": "VALIDATION_ERROR", "message": "validation failed for 'departments': invalid value: Engineering Ops", "errorCode": "string", "errorAction": "string", "details": {}, "requestId": "e69ed773-2674-4dca-be61-886d6698f360", "fields": [ { "field": "domain", "message": "'domain' must be a valid hostname (e.g., 'example.com') without protocol (https://) or path" } ], "debug": { "cause": "string" } }}{ "message": "A summary for this domain is already in progress"}{ "error": { "type": "VALIDATION", "code": "VALIDATION_ERROR", "message": "validation failed for 'departments': invalid value: Engineering Ops", "errorCode": "string", "errorAction": "string", "details": {}, "requestId": "e69ed773-2674-4dca-be61-886d6698f360", "fields": [ { "field": "domain", "message": "'domain' must be a valid hostname (e.g., 'example.com') without protocol (https://) or path" } ], "debug": { "cause": "string" } }}